Summary: 	An IP address pool manager
Name: 		ippool
Version: 	1.3
Release: 	%mkrel 6
License: 	GPL
Group: 		System/Servers
URL: 		ftp://downloads.sourceforge.net/projects/openl2tp/%{name}-%{version}.tar.gz
Source0: 	%{name}-%{version}.tar.gz
Source1:	ippool.service
Source2:	ippool-tmpfiles.conf
Patch0: 	ippool-rm_unused.patch
Patch1:		ippool-pppd.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}
ExclusiveOS:	Linux
Requires: 	ppp >= 2.4.4
Requires:	readline >= 4.2
Requires:        rpcbind
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper

BuildRequires:	ppp-devel => 2.4.4
BuildRequires:	readline-devel >= 4.2
BuildRequires:	glibc-devel >= 2.4
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	ncurses-devel

%description
IpPool is an IP address pool manager.

IpPool is implemented as a separate server daemon to allow any application
to use its address pools. This makes it possible to define address
pools that are shared by PPP, L2TP, PPTP etc. It may be useful in some VPN
server setups.

IpPool comes with a command line management application, ippoolconfig
to manage and query address pool status. A pppd plugin is supplied which
allows pppd to request IP addresses from ippoold.

%prep
%setup
%patch0 -p1 
%patch1 -p0

%build
export PPPD_VERSION=2.4.5
export PPPD_LIBDIR=%{_libdir}/pppd/2.4.5

make  CPPFLAGS="%{optflags} -Wno-error=unused-but-set-variable" CFLAGS="%{optflags} -Wno-error=unused-but-set-variable -Iusl -Icli -I/usr/include/pppd/ -I/usr/include/readline/ -I..  -DUINT_MAX=32768"

%install
make install DESTDIR=$RPM_BUILD_ROOT 

%{__mkdir} -p $RPM_BUILD_ROOT/etc/rc.d/init.d $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
#{__cp} -f etc/rc.d/init.d/ippoold $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/ippoold
%{__install} -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/ippool.service

%{__cp} -f etc/sysconfig/ippoold $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ippoold
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf


%clean
if [ "$RPM_BUILD_ROOT" != `echo $RPM_BUILD_ROOT | sed -e s/ippool-//` ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%defattr(-,root,root,-)
%doc README
%{_tmpfilesdir}/%{name}.conf
%dir %{_libdir}/ippool
%{_bindir}/ippoolconfig
%{_sbindir}/ippoold
%{_libdir}/ippool/ippool_rpc.x
%{_libdir}/pppd/2.4.5/ippool.so
%{_mandir}/man1/ippoolconfig.1.*
%{_mandir}/man4/ippool_rpc.4.*
%{_mandir}/man8/ippoold.8.*
%{_unitdir}/ippool.service
%config %{_sysconfdir}/sysconfig/ippoold



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 522639
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 1.3-5.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

  + dlucio <dlucio>
    - P1 to fix PPP path

* Mon Mar 04 2013 dlucio <dlucio> 1.3-3.mga3
+ Revision: 401367
- More fixes

* Mon Mar 04 2013 dlucio <dlucio> 1.3-2.mga3
+ Revision: 401358
- systemd config

* Mon Mar 04 2013 dlucio <dlucio> 1.3-1.mga3
+ Revision: 401341
- BR fixes
- Let us Mageia it
- imported package ippool


* Wed Apr 09 2008 James Chapman - 1.3

- Fix version number. Versions 1.1 and 1.2 advertised themselves as 1.0.

* Fri Mar 21 2008 James Chapman - 1.2

- Change to Debian package control file.

* Sun Feb 24 2008 James Chapman - 1.1

- Build with new USL list management code which includes memory
  barriers. This prevents gcc function order optimisations from
  causing problems.
  
- Enable compiler optimisation.

* Sun Feb 10 2008 James Chapman - 1.0

- Initial build.

